Doomsday Engine - Bug #213

x86_64 Compiling Issues
2005-02-04 10:22 - axodious

Status: Closed Start date:
Priority: Urgent % Done:
Assignee: skyjake

Category:

Target version:

2005-02-04
100%

Description

| know you do not currently have a 64bit CPU, but | thought | would
try to get this going anyway because | really like JDoom and can't
play it on this computer right now.

For some reason x86_64 doesn't like the menus in JDoom (starts
with the multiplayer menus not sure if all menus are effected.) The
reason | say this is because everytime | compile | get this:

../Common/m_multi.c:118: warning: initialization from incompatible
pointer type

../Common/m_multi.c:119: warning: initialization from incompatible
pointer type

../Common/m_multi.c:120: warning: initialization from incompatible
pointer type

../Common/m_multi.c:124: warning: initialization from incompatible
pointer type

../Common/m_multi.c:125: warning: initialization from incompatible
pointer type

../Common/m_multi.c:126: warning: initialization from incompatible
pointer type

../Common/m_multi.c:130: warning: initialization from incompatible
pointer type

../Common/m_multi.c:131: warning: initialization from incompatible
pointer type

../Common/m_multi.c:204: warning: initialization from incompatible
pointer type

../Common/m_multi.c:205: warning: initialization from incompatible
pointer type

../Common/m_multi.c:206: warning: initialization from incompatible
pointer type

../Common/m_multi.c:207: warning: initialization from incompatible
pointer type

../Common/m_multi.c:208: warning: initialization from incompatible
pointer type

../Common/m_multi.c:209: warning: initializer element is not
computable at load time

../Common/m_multi.c:209: error: initializer element is not constant
../Common/m_multi.c:209: error: (near initialization for
*GameSetupltems1“.option’)

../Common/m_multi.c:209: error: initializer element is not constant
../Common/m_multi.c:209: error: (near initialization for
*GameSetupltems1*)

../Common/m_multi.c:210: warning: initialization from incompatible
pointer type

../Common/m_multi.c:211: warning: initializer element is not
computable at load time

../Common/m_multi.c:211: error: initializer element is not constant
../Common/m_multi.c:211: error: (near initialization for
*GameSetupltems1°.option’)

../Common/m_multi.c:211: error: initializer element is not constant
../Common/m_multi.c:211: error: (near initialization for
*GameSetupltems1)
../Common/m_multi.c:212: warning: initialization from incompatible
pointer type

../Common/m_multi.c:213: warning: initializer element is not
computable at load time

../Common/m_multi.c:213: error: initializer element is not constant
../Common/m_multi.c:213: error: (near initialization for
*GameSetupltems18.option’)

../Common/m_multi.c:213: error: initializer element is not constant
../Common/m_multi.c:213: error: (near initialization for
*GameSetupltems1?)

../Common/m_multi.c:214: warning: initialization from incompatible
pointer type

../Common/m_multi.c:215: warning: initializer element is not
computable at load time

../Common/m_multi.c:215: error: initializer element is not constant
../Common/m_multi.c:215: error: (near initialization for
*GameSetupltems1”.option’)

../Common/m_multi.c:215: error: initializer element is not constant
../Common/m_multi.c:215: error: (near initialization for
*GameSetupltems17)

../Common/m_multi.c:216: warning: initialization from incompatible
pointer type

../Common/m_multi.c:217: warning: initializer element is not
computable at load time

../Common/m_multi.c:217: error: initializer element is not constant
../Common/m_multi.c:217: error: (near initialization for
*GameSetupltems1Z.option’)

../Common/m_multi.c:217: error: initializer element is not constant
../Common/m_multi.c:217: error: (near initialization for
*GameSetupltems1?)

../Common/m_multi.c:218: warning: initialization from incompatible
pointer type

../Common/m_multi.c:219: warning: initializer element is not
computable at load time

../Common/m_multi.c:219: error: initializer element is not constant
../Common/m_multi.c:219: error: (near initialization for
*GameSetupltems12.option')

../Common/m_multi.c:219: error: initializer element is not constant
../Common/m_multi.c:219: error: (near initialization for
*GameSetupltems1?)

../Common/m_multi.c:220: warning: initialization from incompatible
pointer type

../Common/m_multi.c:221: warning: initializer element is not

computable at load time

../Common/m_multi.c:221: error: initializer element is not constant
../Common/m_multi.c:221: error: (near initialization for
*GameSetupltems1'®option')

../Common/m_multi.c:221: error: initializer element is not constant
../Common/m_multi.c:221: error: (near initialization for
*GameSetupltems1'?)

../Common/m_multi.c:222: warning: initialization from incompatible
pointer type

../Common/m_multi.c:223: warning: initializer element is not
computable at load time

../Common/m_multi.c:223: error: initializer element is not constant
../Common/m_multi.c:223: error: (near initialization for
*GameSetupltems1'*.option')

../Common/m_multi.c:223: error: initializer element is not constant
../Common/m_multi.c:223: error: (near initialization for
*GameSetupltems1™)

../Common/m_multi.c:224: warning: initialization from incompatible
pointer type

../Common/m_multi.c:224: error: initializer element is not constant
../Common/m_multi.c:224: error: (near initialization for
*GameSetupltems1'?)

../Common/m_multi.c:229: warning: initialization from incompatible
pointer type
../Common/m_multi.c:230: warning: initialization from incompatible
pointer type

../Common/m_multi.c:231: warning: initialization from incompatible
pointer type

../Common/m_multi.c:232: warning: initialization from incompatible
pointer type

../Common/m_multi.c:233: warning: initializer element is not
computable at load time

../Common/m_multi.c:233: error: initializer element is not constant
../Common/m_multi.c:233: error: (near initialization for
*GameSetupltems22.option’)

../Common/m_multi.c:233: error: initializer element is not constant
../Common/m_multi.c:233: error: (near initialization for
*GameSetupltems2?)

../Common/m_multi.c:234: warning: initialization from incompatible
pointer type

../Common/m_multi.c:235: warning: initializer element is not
computable at load time

../Common/m_multi.c:235: error: initializer element is not constant
../Common/m_multi.c:235: error: (near initialization for
*GameSetupltems2*.option’)

../Common/m_multi.c:235: error: initializer element is not constant
../Common/m_multi.c:235: error: (near initialization for
*GameSetupltems2*)

../Common/m_multi.c:236: warning: initialization from incompatible
pointer type

../Common/m_multi.c:237: warning: initializer element is not
computable at load time

../Common/m_multi.c:237: error: initializer element is not constant
../Common/m_multi.c:237: error: (near initialization for
*GameSetupltems2°.option’)

../Common/m_multi.c:237: error: initializer element is not constant
../Common/m_multi.c:237: error: (near initialization for
*GameSetupltems2?)

../Common/m_multi.c:238: warning: initialization from incompatible
pointer type

../Common/m_multi.c:239: warning: initializer element is not
computable at load time

../Common/m_multi.c:239: error: initializer element is not constant
../Common/m_multi.c:239: error: (near initialization for
*GameSetupltems2°.option’)

../Common/m_multi.c:239: error: initializer element is not constant
../Common/m_multi.c:239: error: (near initialization for
*GameSetupltems2?)

../Common/m_multi.c:240: warning: initialization from incompatible
pointer type

../Common/m_multi.c:241: warning: initializer element is not
computable at load time

../Common/m_multi.c:241: error: initializer element is not constant
../Common/m_multi.c:241: error: (near initialization for
*GameSetupltems2”.option’)

../Common/m_multi.c:241: error: initializer element is not constant
../Common/m_multi.c:241: error: (near initialization for
*GameSetupltems2”)

../Common/m_multi.c:242: warning: initialization from incompatible
pointer type

../Common/m_multi.c:243: warning: initializer element is not
computable at load time

../Common/m_multi.c:243: error: initializer element is not constant
../Common/m_multi.c:243: error: (near initialization for
*GameSetupltems28.option’)

../Common/m_multi.c:243: error: initializer element is not constant
../Common/m_multi.c:243: error: (near initialization for
*GameSetupltems22)

../Common/m_multi.c:244: warning: initialization from incompatible
pointer type

../Common/m_multi.c:245: warning: initializer element is not
computable at load time

../Common/m_multi.c:245: error: initializer element is not constant
../Common/m_multi.c:245: error: (near initialization for
*GameSetupltems22.option’)

../Common/m_multi.c:245: error: initializer element is not constant
../Common/m_multi.c:245: error: (near initialization for
*GameSetupltems2?)

../Common/m_multi.c:246: warning: initialization from incompatible
pointer type

../Common/m_multi.c:247: warning: initializer element is not
computable at load time

../Common/m_multi.c:247: error: initializer element is not constant
../Common/m_multi.c:247: error: (near initialization for
*GameSetupltems2'% option')

../Common/m_multi.c:247: error: initializer element is not constant
../Common/m_multi.c:247: error: (near initialization for
*GameSetupltems2'?)

../Common/m_multi.c:248: warning: initialization from incompatible
pointer type

../Common/m_multi.c:248: error: initializer element is not constant
../Common/m_multi.c:248: error: (near initialization for
*GameSetupltems2'™)

../Common/m_multi.c:280: warning: initialization from incompatible
pointer type

../Common/m_multi.c:280: warning: initializer element is not
computable at load time

../Common/m_multi.c:280: error: initializer element is not constant
../Common/m_multi.c:280: error: (near initialization for
*PlayerSetupltems®.option’)

../Common/m_multi.c:280: error: initializer element is not constant
../Common/m_multi.c:280: error: (near initialization for
*PlayerSetupltems®)

../Common/m_multi.c:281: error: initializer element is not constant
../Common/m_multi.c:281: error: (near initialization for
*PlayerSetupltems™)

../Common/m_multi.c:285: error: initializer element is not constant
../Common/m_multi.c:285: error: (near initialization for
*PlayerSetupltems?)

../Common/m_multi.c:287: warning: initialization from incompatible
pointer type

../Common/m_multi.c:287: error: initializer element is not constant
../Common/m_multi.c:287: error: (near initialization for
*PlayerSetupltems®)

../Common/m_multi.c:288: error: initializer element is not constant
../Common/m_multi.c:288: error: (near initialization for
*PlayerSetupltems®)

../Common/m_multi.c:289: warning: initialization from incompatible
pointer type

../Common/m_multi.c:289: error: initializer element is not constant
../Common/m_multi.c:289: error: (near initialization for
*PlayerSetupltems®)

../Common/m_multi.c: In function "SCGameSetupFunc':
../Common/m_multi.c:665: warning: cast to pointer from integer of
different size

../Common/m_multi.c: In function *SCEditField":
../Common/m_multi.c:1048: warning: cast to pointer from integer of
different size

../Common/m_multi.c: At top level:

../Common/m_multi.c:380: warning: 'MN_DrTextB_CS' defined but
not used

make®: *** [m_multi.lo] Error 1

I've tried several different things to get around this. Not even using
the command 'setarch’ which allows you to use 32bit architectures
would allow it to compile. If you could please try to fix this it would
be greatly appreciated.

2025-04-04

4/5




Labels: Data

History

#1 - 2005-02-05 06:55 - danij
Logged In: YES
user_id=849456

A lot of these issues are to do with the menu code assuming
a void pointer is the same size as an int pointer, which
obviously it isn't on a 64bit cpu.

I'm working on the menu code atm so I'll see about fixing
these and the other problems listed there.

| can't compile for a 64bit cpu (I'm on WIN32 using the free
vc++ compiler) so someone else will have to do that.

#2 - 2005-02-07 19:03 - axodious

Logged In: YES
user_id=1192077

If you need someone to test compile on a 64bit cpu I'm on Fedora Core 3

X86_64. | can try compiling it if you need.

#3 - 2007-10-24 22:30 - scen

Logged In: YES
user_id=1570776
Originator: NO

Good news: i've just compiled DENG from SVN (rev.5043) and IT WORKS on my AMD64 Linux box! 8)
It builds fine and starts fine also. There are some other errors, but i think they're related to the natural instability of SVN code.

Keep in mind this report, and contact me if you need some test on Linux AMD64 ( scen

#4 - 2009-08-07 02:20 - skyjake

(originally posted by anonymous SF.net user)

This Tracker item was closed automatically by the system. It was

previously set to a Pending status, and the original submitter
did not respond within 14 days (the time period specified by
the administrator of this Tracker).
